import request from '@/utils/request'

// 查询生日提醒列表
export function listBrithstaffmgr(query) {
  return request({
    url: '/plant/brithstaffmgr/list',
    method: 'get',
    params: query
  })
}

// 查询生日提醒详细
export function getBrithstaffmgr(id) {
  return request({
    url: '/plant/brithstaffmgr/' + id,
    method: 'get'
  })
}

// 新增生日提醒
export function addBrithstaffmgr(data) {
  return request({
    url: '/plant/brithstaffmgr',
    method: 'post',
    data: data
  })
}

// 修改生日提醒
export function updateBrithstaffmgr(data) {
  return request({
    url: '/plant/brithstaffmgr',
    method: 'put',
    data: data
  })
}

// 删除生日提醒
export function delBrithstaffmgr(id) {
  return request({
    url: '/plant/brithstaffmgr/' + id,
    method: 'delete'
  })
}

// 导出生日提醒
export function exportBrithstaffmgr(query) {
  return request({
    url: '/plant/brithstaffmgr/export',
    method: 'get',
    params: query
  })
}
